<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\ZsaTeilnehmerUebersicht\Detailsreiter\Registrierungen;

class ReiterRegistrierungenView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'teilnehmer/zsa_teilnehmeruebersicht/detailsreiter/registrierungen.sgt';
  }

  protected function getBodyDataModulArray()
  {
    $dbwBkBvTn = new \DBWorkZsaBkBvTn();

    foreach ($this->viewModel->bkbvtnAry as $key => $bkbvtnAry) {
      $this->viewModel->bkbvtnAry[$key]->rechtRegistrierung = $this->viewModel->rechtRegistrierung;
    }

    
    return array_merge(array($dbwBkBvTn->getNewObject()), $this->viewModel->bkbvtnAry);
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpBkBvTn();
  }
}

class ReiterRegistrierungenViewModel
{
  public $bkbvtnAry;
  public $columns;
  public $rechtRegistrierung;
}